> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns variables declared in import file



## OpenAPI

````yaml /api-reference/4.2/service-objects.json post /objects/substitutions
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service objects
servers:
  - url: /api/apollo/
security: []
tags:
  - name: objects
paths:
  /objects/substitutions:
    post:
      tags:
        - 4.2 Objects API
      summary: Returns variables declared in import file
      operationId: processSubstitutions
      requestBody:
        content:
          application/zip:
            schema:
              $ref: '#/components/schemas/InputStream'
        description: Import zip file
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportSubstitutions'
components:
  schemas:
    InputStream:
      type: object
    ImportSubstitutions:
      type: object
      properties:
        properties:
          type: array
          items:
            $ref: '#/components/schemas/SubstitutedProperty'
        values:
          type: object
          additionalProperties:
            type: string
        zipFileToken:
          type: string
    SubstitutedProperty:
      type: object
      properties:
        id:
          type: string
        schema:
          $ref: '#/components/schemas/Schema'
    Schema:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        description:
          type: string
        hints:
          type: array
          items:
            type: string

````